Bug 5944 - [UPDATE REQUEST] Upgrade systemd to v.219
: [UPDATE REQUEST] Upgrade systemd to v.219
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-15 14:49 MSD by a.lahin
Modified: 2015-08-11 03:02 MSD (History)
3 users (show)

See Also:
RPM Package: systemd
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
before (2.30 KB, text/plain)
2015-07-19 20:43 MSD, Vladimir Potapov
Details
after (2.42 KB, text/plain)
2015-07-19 20:43 MSD, Vladimir Potapov
Details
ss (383.27 KB, image/png)
2015-07-27 11:44 MSD, Vladimir Potapov
Details
ss (188.06 KB, image/png)
2015-07-29 13:32 MSD, Vladimir Potapov
Details
ss3 (164.08 KB, image/png)
2015-08-01 07:22 MSD, Vladimir Potapov
Details
ss3 (186.02 KB, image/png)
2015-08-01 07:32 MSD, Vladimir Potapov
Details
ss (49.49 KB, image/png)
2015-08-03 18:15 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Vladimir Potapov 2015-07-15 19:42:09 MSD
Следующий пакет будет удалён для обновления остальных:
nss-myhostname-0.3-5-rosa2014.1.i586
 (из-за отсутствия nss-myhostname-libraries)
Comment 2 Denis Silakov 2015-07-15 19:58:06 MSD
It makes sense to update rpm, as well (with improved trigtrans patches used by new triggers added by systemd).

Rpm build lists:
https://abf.io/build_lists/2522536
https://abf.io/build_lists/2522535
Comment 3 Vladimir Potapov 2015-07-15 20:02:23 MSD
на x64 обновилось без вопросов, зато нет теперь ethernet-соединения в NM
Comment 4 Vladimir Potapov 2015-07-15 20:05:57 MSD
http://hw.rosalinux.ru/index.php?probe=04128aaf7a
Comment 5 a.lahin 2015-07-16 19:13:49 MSD
systemd updated (aforementioned issues resolved):
https://abf.io/build_lists/2523199
https://abf.io/build_lists/2523200
Comment 6 Vladimir Potapov 2015-07-16 21:46:34 MSD
После обновления на x64 машине eth соединение таки пропало.
Так что пока 
*********************************
QA Denied
Comment 7 a.lahin 2015-07-16 22:57:29 MSD
Необходимо проверить:
До обновления:
1. версию systemd
2. ll /lib/udev/rules.d/80-net-name-slot.rules
После обновления:
1. версию systemd
2. cat /lib/systemd/network/95-rosa-legacy-naming.link

В системе, установленной с образа 12170, соединение eth0 не пропадает после обновления.
Файл /lib/systemd/network/95-rosa-legacy-naming.link успешно создаётся и включает старую схему именования сетевых адаптеров.
Comment 8 Vladimir Potapov 2015-07-17 09:24:45 MSD
Возможно, ошибка возникает потому что на тестовой машине две сетевые карты и два wifi адаптера?
Comment 9 a.lahin 2015-07-17 09:41:30 MSD
(In reply to comment #8)
> Возможно, ошибка возникает потому что на тестовой машине две сетевые карты и
> два wifi адаптера?

Володя, приведи, пожалуйста, интересующую информацию.
Также интересен вывод ifconfig -a до и после обновления.
Comment 11 Vladimir Potapov 2015-07-19 20:43:19 MSD
Проблема воспроизвелась при обновлении релизного (12190) образа.
Comment 12 Vladimir Potapov 2015-07-19 20:43:45 MSD
Created attachment 4188 [details]
before
Comment 13 Vladimir Potapov 2015-07-19 20:43:59 MSD
Created attachment 4189 [details]
after
Comment 14 a.lahin 2015-07-20 09:58:04 MSD
(In reply to comment #11)
> Проблема воспроизвелась при обновлении релизного (12190) образа.

Не вижу изменений в наименовании интерфейсов. Может быть что-то ещё влияет. Каким образом для интерфейса eth0 назначался адрес 192.168.1.44?
И как был назначен адрес интерфейса wlan1?
Comment 15 Vladimir Potapov 2015-07-20 10:07:46 MSD
Мож изнутри изменений и нет, но после перезагрузки в NM нет ethernet.
Схема подключения к инету у меня самая тривиальная - "ткнул провод", безо всяких настроек.
Comment 16 Vladimir Potapov 2015-07-20 12:16:35 MSD
(In reply to comment #2)
> It makes sense to update rpm, as well (with improved trigtrans patches used
> by new triggers added by systemd).
> 
> Rpm build lists:
> https://abf.io/build_lists/2522536
> https://abf.io/build_lists/2522535
Ошибка под i586 не ушла
Comment 17 a.lahin 2015-07-21 15:41:37 MSD
(In reply to comment #15)
> Мож изнутри изменений и нет, но после перезагрузки в NM нет ethernet.
> Схема подключения к инету у меня самая тривиальная - "ткнул провод", безо
> всяких настроек.

networkmanager updated:
https://abf.io/build_lists/2546064
https://abf.io/build_lists/2546065
Comment 18 a.lahin 2015-07-21 17:38:39 MSD
systemd updated:

https://abf.io/build_lists/2546079
https://abf.io/build_lists/2546080
Comment 20 Vladimir Potapov 2015-07-23 12:32:22 MSD
The update is sent to expanded testing
**************************************
Comment 21 Vladimir Potapov 2015-07-25 09:27:23 MSD
Для NM идет информация об обновлении. Там ничего нет, надо бы удалить.
Comment 22 a.lahin 2015-07-25 09:29:53 MSD
(In reply to comment #21)
> Для NM идет информация об обновлении. Там ничего нет, надо бы удалить.

Можно снимок экрана или сообщение, чтобы понимать, что именно убирать?
Comment 23 Vladimir Potapov 2015-07-25 09:30:52 MSD
там readme файл с сообщением, что в пакете NM для mandriva-rosa
Comment 24 Vladimir Potapov 2015-07-25 09:31:08 MSD
В логах

ul 25 13:28:25 DNS-R6-i586 kernel: [   13.747612] audit: type=1130 audit(1437802105.710:129): pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=NetworkManager-dispatcher comm="systemd" exe="/lib/systemd/syst
Jul 25 13:28:25 DNS-R6-i586 kernel: [   13.760675] audit: type=1130 audit(1437802105.723:130): pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=nmb comm="systemd" exe="/lib/systemd/systemd" hostname=? addr=?
Jul 25 13:28:25 DNS-R6-i586 kernel: [   13.798661] audit: type=1130 audit(1437802105.761:131): pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=winbind comm="systemd" exe="/lib/systemd/systemd" hostname=? ad
Jul 25 13:28:25 DNS-R6-i586 kernel: [   13.868380] audit: type=1130 audit(1437802105.831:132): pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=smb comm="systemd" exe="/lib/systemd/systemd" hostname=? addr=?
Jul 25 13:28:35 DNS-R6-i586 kernel: [   23.689142] audit: type=1100 audit(1437802115.652:133): pid=3641 uid=0 auid=4294967295 ses=4294967295 msg='op=PAM:authentication grantors=pam_unix acct="keleg" exe="/usr/bi
Jul 25 13:28:35 DNS-R6-i586 kernel: [   23.689264] audit: type=1101 audit(1437802115.652:134): pid=3641 uid=0 auid=4294967295 ses=4294967295 msg='op=PAM:accounting grantors=pam_unix acct="keleg" exe="/usr/bin/kd
Jul 25 13:28:35 DNS-R6-i586 kernel: [   23.697662] audit: type=1103 audit(1437802115.661:135): pid=3641 uid=0 auid=4294967295 ses=4294967295 msg='op=PAM:setcred grantors=pam_unix acct="keleg" exe="/usr/bin/kdm"
Jul 25 13:28:35 DNS-R6-i586 kernel: [   23.749864] audit: type=1101 audit(1437802115.713:136): pid=5285 uid=0 auid=4294967295 ses=4294967295 msg='op=PAM:accounting grantors=pam_unix acct="keleg" exe="/lib/system
Jul 25 13:28:35 DNS-R6-i586 kernel: [   23.750252] audit: type=1105 audit(1437802115.713:137): pid=5285 uid=0 auid=4294967295 ses=4294967295 msg='op=PAM:session_open grantors=pam_keyinit,pam_limits,pam_systemd,p
Jul 25 13:28:35 DNS-R6-i586 kernel: [   23.775502] audit: type=1130 audit(1437802115.739:138): pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=user@500 comm="systemd" exe="/lib/systemd/systemd" hostname=? a
Jul 25 13:28:35 DNS-R6-i586 kernel: [   23.796629] audit: type=1105 audit(1437802115.760:139): pid=3641 uid=0 auid=4294967295 ses=4294967295 msg='op=PAM:session_open grantors=pam_selinux,pam_selinux,pam_keyinit,
Jul 25 13:28:35 DNS-R6-i586 kernel: [   24.018080] audit: type=1131 audit(1437802115.981:140): pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=NetworkManager-dispatcher comm="systemd" exe="/lib/systemd/syst
Comment 25 Vladimir Potapov 2015-07-25 09:32:00 MSD
http://hw.rosalinux.ru/index.php?probe=8cf10b0ef6
Comment 26 a.lahin 2015-07-25 09:48:35 MSD
(In reply to comment #24)
> В логах
> 
> ul 25 13:28:25 DNS-R6-i586 kernel: [   13.747612] audit: type=1130
> audit(1437802105.710:129): pid=1 uid=0 auid=4294967295 ses=4294967295
> msg='unit=NetworkManager-dispatcher comm="systemd" exe="/lib/systemd/syst
...

В этих сообщениях аудита ничего плохого не видно.
Comment 27 Vladimir Potapov 2015-07-25 13:55:40 MSD
просто раньше их не было, их там огромное количество теперь.
Comment 28 Vladimir Potapov 2015-07-27 08:47:34 MSD
Виртуалбокс не работает. При попытке запустить виртуальную машину, появляется ошибка. Ошибка на форуме у двоих и у меня воспроизвелась.
Comment 29 Vladimir Potapov 2015-07-27 11:44:06 MSD
Created attachment 4195 [details]
ss
Comment 30 Vladimir Potapov 2015-07-27 11:44:55 MSD
(In reply to comment #29)
> Created attachment 4195 [details]
> ss
проба после ошибки
http://hw.rosalinux.ru/index.php?probe=0114e84c11
Comment 31 a.lahin 2015-07-27 14:17:23 MSD
(In reply to comment #29)
> Created attachment 4195 [details]
> ss

А что выводится в консоли, если выполнить указанную команду?
/etc/init.d/vboxdrv setup ?
Comment 32 Vladimir Potapov 2015-07-27 14:59:23 MSD
DNS-R6-X64 keleg # /etc/init.d/vboxdrv setup
bash: /etc/init.d/vboxdrv: Нет такого файла или каталога
Comment 33 Vladimir Potapov 2015-07-28 10:36:08 MSD
Еще одно хочется добавить. (опять вылезло на форуме, http://forum.rosalab.ru/viewtopic.php?f=53&t=5202&p=47937#p47937)
при любых проблемах с видео у нас система не грузится, зависает на plymouth-quit-wait т.к. у него таймаут стоит ноль.
Предлагаю поставить таймаут ненулевым, хоть и большим, чтоб при ошибках графики была доступна консоль с XFdrake
Конкретно предлагаю в plymouth-quit-wait.service заменить
TimeoutSec=0
на 
TimeoutSec=180
Comment 34 Vladimir Potapov 2015-07-29 13:32:11 MSD
Created attachment 4197 [details]
ss

Вот какую штуку еще увидел - половины сервисов в списке нету.
Comment 35 Vladimir Potapov 2015-08-01 07:22:50 MSD
Created attachment 4200 [details]
ss3

Во время установки на обновленной r5 пошли ошибки
Comment 36 Vladimir Potapov 2015-08-01 07:31:57 MSD
(In reply to comment #35)
> Created attachment 4200 [details]
> ss3
> 
> Во время установки на обновленной r5 пошли ошибки

После того, как закрыл-открыл обновлятор, стало все нормально. Похоже, проблемы в порядке установки пакетов.
Comment 37 Vladimir Potapov 2015-08-01 07:32:49 MSD
Created attachment 4201 [details]
ss3

а вот лишняя инфо, которую хочется удалить за полной ненадобностью
Comment 38 a.lahin 2015-08-03 11:54:46 MSD
Upstream bug:
https://bugzilla.redhat.com/show_bug.cgi?id=1002806
Comment 39 Vladimir Potapov 2015-08-03 13:11:33 MSD
(In reply to comment #38)
> Upstream bug:
> https://bugzilla.redhat.com/show_bug.cgi?id=1002806
Там, вроде, исправлен давным-давно...
Comment 41 Vladimir Potapov 2015-08-03 18:09:41 MSD
Ура! Виртуалбокс грузится и dnsmasq подцепляются!
Но пока
1) в drakxservices половины сервисов не хватает (мож, пересобрать?)
2) Таймаут в plymouth-quit-wait.service по-прежнему нулевой
Comment 42 a.lahin 2015-08-03 18:11:49 MSD
(In reply to comment #41)

> Но пока
> 2) Таймаут в plymouth-quit-wait.service по-прежнему нулевой
Вне зависимости от необходимости изменения, plymouth-quit-wait.service относится к plymouth, не к systemd.
Comment 43 Vladimir Potapov 2015-08-03 18:15:57 MSD
Created attachment 4202 [details]
ss

Вот, при обновлении оно что-то спрашивает - что отвечать-то?
Comment 44 a.lahin 2015-08-03 18:27:29 MSD
(In reply to comment #43)
> Created attachment 4202 [details]
> ss
> 
> Вот, при обновлении оно что-то спрашивает - что отвечать-то?

Можно использовать rpmnew в качестве главного файла или если нет понимания, как написано, оставить текущий.
Comment 45 a.lahin 2015-08-03 18:46:16 MSD
(In reply to comment #41)
> Но пока
> 1) в drakxservices половины сервисов не хватает (мож, пересобрать?)
Исправлено в:
https://abf.io/soft/drakxtools/pull_requests/6
Comment 46 Vladimir Potapov 2015-08-03 20:15:07 MSD
The update is sent to expanded testing
**************************************
Comment 47 Andrey Bondrov 2015-08-06 13:38:36 MSD
(In reply to comment #45)
> (In reply to comment #41)
> > Но пока
> > 1) в drakxservices половины сервисов не хватает (мож, пересобрать?)
> Исправлено в:
> https://abf.io/soft/drakxtools/pull_requests/6

drakxtools:

Advisory: "Fix regexps for newer systemd (v.219) (and older too)"

https://abf.rosalinux.ru/build_lists/2548440
https://abf.rosalinux.ru/build_lists/2548441
Comment 48 Vladimir Potapov 2015-08-06 16:46:22 MSD
The update is sent to expanded testing
***************************************
Comment 49 a.lahin 2015-08-06 21:25:17 MSD
networkmanager:

https://abf.io/build_lists/2548528
https://abf.io/build_lists/2548529
Comment 50 Vladimir Potapov 2015-08-07 09:50:43 MSD
The update is sent to expanded testing
**************************************
Comment 51 Vladimir Potapov 2015-08-10 20:55:13 MSD
systemd-219-1.20150505.11
https://abf.io/build_lists/2548114
https://abf.io/build_lists/2548113

networkmanager-1.0.2-6
https://abf.io/build_lists/2548528
https://abf.io/build_lists/2548529

rpm-helper-0.24.12-11
https://abf.io/build_lists/2522329
https://abf.io/build_lists/2522330

drakxtools-14.68-1
https://abf.rosalinux.ru/build_lists/2548440
https://abf.rosalinux.ru/build_lists/2548441

rpm-5.4.10-60
https://abf.io/build_lists/2522536
https://abf.io/build_lists/2522535
*************************** Advisory **********************
Update systemd and related packages
***********************************************************
QA Verified
Comment 52 Vladimir Potapov 2015-08-10 20:56:01 MSD
Насколько я понял, libmicrohttpd уже опубликован